﻿using SecuritySystemDataModels.Enums;
using SecuritySystemDataModels.Models;
using SecuritySystemContracts.Attributes;

namespace SecuritySystemContracts.ViewModels
{
    public class OrderViewModel : IOrderModel
    {
        [Column(title: "Номер", width: 75)]
        public int Id { get; set; }
        [Column(visible: false)]
        public int SecureId { get; set; }

        [Column(title: "Изделие", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
        public string SecureName { get; set; } = string.Empty;
        [Column(visible: false)]
        public int ClientId { get; set; }
        [Column(title: "Клиент", width: 200)]
        public string ClientFIO { get; set; } = string.Empty;
        [Column(visible: false)]
        public int? ImplementerId { get; set; }
        [Column(title: "Исполнитель", width: 200)]
        public string ImplementerFIO { get; set; } = string.Empty;
        [Column(title: "Количество", width: 75)]
        public int Count { get; set; }
        [Column(title: "Сумма", width: 75)]
        public double Sum { get; set; }
        [Column(title: "Статус", width: 75)]
        public OrderStatus Status { get; set; } = OrderStatus.Неизвестен;
        [Column(title: "Дата создания", width: 150)]
        public DateTime DateCreate { get; set; } = DateTime.Now;
        [Column(title: "Дата выполнения", width: 150)]
        public DateTime? DateImplement { get; set; }
    }
}
