﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using SecuritySystemContracts.DI;
using SecuritySystemContracts.StorageContracts;
using SecuritySystemFileImplement.Implements;

namespace SecuritySystemFileImplement
{
    public class FileImplementationExtension
    {
		public int Priority => 1;

		public void RegisterServices()
		{
			DependencyManager.Instance.RegisterType<IClientStorage, ClientStorage>();
			DependencyManager.Instance.RegisterType<IComponentStorage, ComponentStorage>();
			DependencyManager.Instance.RegisterType<IImplementerStorage, ImplementerStorage>();
			DependencyManager.Instance.RegisterType<IMessageInfoStorage, MessageInfoStorage>();
			DependencyManager.Instance.RegisterType<IOrderStorage, OrderStorage>();
			DependencyManager.Instance.RegisterType<ISecureStorage, SecureStorage>();
			DependencyManager.Instance.RegisterType<IBackUpInfo, BackUpInfo>();
		}
	}
}
